define({"0":{i:0.00203273838959847,u:"../Content/Part_GettingStarted.htm",a:"NiFi Ingest Version: 12.0     Getting Started Guide     Document Release Date: June 2018 Software Release Date: June 2018",t:"NiFi Ingest"},"1":{i:0.00203273838959847,u:"../Content/Section_Intro.htm",a:"Introduction This section introduces NiFi Ingest.",t:"Introduction"},"2":{i:0.00203273838959847,u:"../Content/IngestOverview.htm",a:"IDOL is a platform that helps you get the most benefit from large quantities of information. Before you can start using IDOL, you need to index your data. Your organization is likely to have data in many different formats, distributed across many different kinds of repository. The process of ...",t:"Ingest Data into IDOL"},"3":{i:0.00203273838959847,u:"../Content/Introduction.htm",a:"NiFi Ingest is a plug-in for the Apache NiFi framework that helps you use Apache NiFi to build a custom ingestion pipeline for IDOL. You can create an ingestion pipeline based on NiFi, instead of deploying an IDOL Connector Framework Server. NiFi Ingest, combined with the Apache NiFi framework, ...",t:"NiFi Ingest"},"4":{i:0.00203273838959847,u:"../Content/AboutThisDocument.htm",a:"This document describes the components provided in the NiFi Ingest distribution, and explains how to build a custom ingestion pipeline for IDOL. This document is intended for readers who are familiar with IDOL. For more information about IDOL, refer to the IDOL Getting Started Guide and IDOL Server ...",t:"About This Document"},"5":{i:0.00203273838959847,u:"../Content/Section_Install.htm",a:"Install NiFi Ingest This section describes how to install NiFi Ingest.",t:"Install NiFi Ingest"},"6":{i:0.00203273838959847,u:"../Content/SystemRequirements.htm",a:"IDOL NiFi Ingest is supported on Windows and Linux platforms. You must use the following version of the Apache NiFi framework: Apache NiFi version 1.6.0 You must install the following dependencies: Java JRE 8 or later To run NiFi Ingest on Linux platforms, the server must have the following minimum ...",t:"System Requirements"},"7":{i:0.00203273838959847,u:"../Content/Install.htm",a:"To install NiFi Ingest, follow these steps. To install NiFi Ingest Download the Apache NiFi zip or tar package from  https://nifi.apache.org/ . Download the IDOL NiFi Ingest zip package for your chosen platform. Extract the files from the Apache NiFi package into your chosen installation directory. ...",t:"Install NiFi Ingest"},"8":{i:0.00203273838959847,u:"../Content/ConfigureNiFi.htm",a:"You can configure Apache NiFi to suit your needs, by following the Apache NiFi documentation. However, Micro Focus recommends making the following configuration changes. Java Virtual Machine Memory Micro Focus recommends that you increase the maximum amount of memory that can be used by the Java ...",t:"Configure Apache NiFi"},"9":{i:0.00203273838959847,u:"../Content/UploadTemplates.htm",a:"The NiFi Ingest distribution includes some example templates that you can use to build your data flow. These are in the templates folder. You can use these templates by uploading them through the Apache NiFi interface. To upload a template, click Upload Template , in the Operate Palette. For more ...",t:"Upload Templates"},"10":{i:0.00376058626333195,u:"../Content/Walkthrough/BuildBasicPipeline.htm",a:"Build a Basic Ingestion Pipeline This section describes, step-by-step, how to build a simple ingestion pipeline that includes KeyView extraction, KeyView filtering, and indexing into an IDOL Server. This matches the steps performed by CFS with the out-of-the-box configuration.",t:"Build a Basic Ingestion Pipeline"},"11":{i:0.00376058626333195,u:"../Content/Walkthrough/Introduction.htm",a:"The following image shows the completed ingestion pipeline that is described in the following sections. The pipeline includes the following steps: Input Port. The input port receives data, in the form of NiFi FlowFiles, from an IDOL Connector. For example, if you use a File System Connector, the ...",t:"Introduction"},"12":{i:0.00203273838959847,u:"../Content/Walkthrough/OpenNiFi.htm",a:"To get started with NiFi, first open the user interface. To open the NiFi user interface Open the NiFi user interface in your web browser by browsing to the user interface URL, for example: https://host:port/nifi/ The NiFi user interface opens and a blank canvas is displayed.",t:"Open the NiFi User Interface"},"13":{i:0.00203273838959847,u:"../Content/Walkthrough/InputPort.htm",a:"The first component you should add to your ingestion pipeline is an input port. The input port provides a way for NiFi to receive data. For example, you would configure an IDOL Connector to send documents to the input port. To add an input port Add an input port by dragging the Input Port icon   ...",t:"Add an Input Port"},"14":{i:0.00684698540176757,u:"../Content/Walkthrough/AddKeyViewService.htm",a:"To use the KeyView processors you must configure a controller service for KeyView. The controller service stores configuration details for KeyView so that you only need to configure KeyView once, rather than for every KeyView processor. To create the KeyView controller service Click a blank area of ...",t:"Add a KeyView Service"},"15":{i:0.00203273838959847,u:"../Content/Walkthrough/AddKeyViewExtraction.htm",a:"The first step in this example ingestion pipeline is KeyView Extraction. Extraction extracts individual files from containers (such as zip files or other types of archives) so that they can be processed by other processors. To add KeyView Extraction Add a processor, by dragging the processor icon    ...",t:"Add KeyView Extraction"},"16":{i:0.00203273838959847,u:"../Content/Walkthrough/AddKeyViewFiltering.htm",a:"The second step in this example pipeline is KeyView Filtering. Filtering extracts text from a file and adds it to the document. To add KeyView Filtering Add a processor, by dragging the processor icon    from the components toolbar to the canvas. The Add Processor dialog box opens. In the Source ...",t:"Add KeyView Filtering"},"17":{i:0.00203273838959847,u:"../Content/Walkthrough/RemoveTempFiles.htm",a:"The ingestion process generates temporary files. IDOL Connectors can download files from a repository. KeyView writes extracted subfiles to a temporary storage area. It can be useful to keep these files, for example so that you can troubleshoot problems while developing the pipeline, but usually ...",t:"Remove Temporary Files"},"18":{i:0.00203273838959847,u:"../Content/Walkthrough/IndexIntoIDOL.htm",a:"The final step in this example is to index documents into an IDOL Content component. To index documents into IDOL Add a processor, by dragging the processor icon    from the components toolbar to the canvas. The Add Processor dialog box opens. In the Source list, click idol.nifi. The list of ...",t:"Index Documents into IDOL"},"19":{i:0.00203273838959847,u:"../Content/Walkthrough/WriteFailedDocuments.htm",a:"You cannot start a processor until all of its relationships are connected to other processors, or are auto-terminated. So far, this example has not connected or auto-terminated the \"failed\" relationship for each of the processors. This section describes how to route \"failed\" FlowFiles to a processor ...",t:"Write Failed Documents to Disk"},"20":{i:0.00203273838959847,u:"../Content/Walkthrough/ConfigureConnector.htm",a:"In order to test the ingestion pipeline you must supply some data. The easiest way to do this is to use an IDOL Connector. This section describes how to configure an IDOL Connector to send data to NiFi. To configure an IDOL Connector Open the connector\u0027s configuration file in a text editor. In the ...",t:"Configure an IDOL Connector"},"21":{i:0.00203273838959847,u:"../Content/Walkthrough/StartProcessing.htm",a:"After you have configured the ingestion pipeline and a connector, you can send some documents to NiFi. To start processing In the NiFi canvas, right-click your input port and click Start. This allows the input port to receive data. Send the synchronize action to your connector. For example: ...",t:"Start Processing"},"22":{i:0.00203273838959847,u:"../Content/Walkthrough/BuildMediaPipeline.htm",a:"Improve the Ingestion Pipeline This section describes, step-by-step, how to add media analysis to the ingestion pipeline described in  Build a Basic Ingestion Pipeline . In this example, image files are routed to an IDOL Media Server which performs optical character recognition.",t:"Improve the Ingestion Pipeline"},"23":{i:0.00203273838959847,u:"../Content/Walkthrough/MediaIntroduction.htm",a:"Introduction The following image shows the relevant parts of the ingestion pipeline after the modifications described in this section.",t:"Introduction"},"24":{i:0.00522927823837034,u:"../Content/Walkthrough/KeyViewTypeDetection.htm",a:"This section describes how to add file format detection, so that only image files are routed to Media Server. To add file format detection Add a processor, by dragging the processor icon    from the components toolbar to the canvas. The Add Processor dialog box opens. In the Source list, click ...",t:"Add File Format Detection"},"25":{i:0.00376058626333195,u:"../Content/Walkthrough/MediaAnalysis.htm",a:"After adding a step to identify image files,  you can add a processor to perform media analysis. To add media analysis Add a processor, by dragging the processor icon    from the components toolbar to the canvas. The Add Processor dialog box opens. In the Source list, click idol.nifi. Select the ...",t:"Add Media Analysis"},"26":{i:0.00203273838959847,u:"../Content/Walkthrough/ConfigureMediaServer.htm",a:"This section describes how to configure Media Server so that it can process files for your NiFi ingestion pipeline. This example shows how to run optical character recognition on images. To configure Media Server On the Media Server machine, open the Media Server configurations directory. This is ...",t:"Configure Media Server"},"27":{i:0.00203273838959847,u:"../Content/Walkthrough/MediaHandleFailedDocuments.htm",a:"You cannot start a processor until all of its relationships are connected to other processors, or are auto-terminated. So far, this example has not connected or auto-terminated the \"failed\" relationship for the new processors that you added. This section shows how to route failed documents to an ...",t:"Handle Failed Documents"},"28":{i:0.00203273838959847,u:"../Content/Walkthrough/MediaStartProcessing.htm",a:"You have now finished making changes to the ingestion pipeline, so you can start your NiFi processors and resume processing. The Media Server request log shows the requests being sent to the Media Server. You can view the request log through the URL http://mediaserver:14000/action=grl, where  ...",t:"Start Processing"},"29":{i:0.0229384043184519,u:"../Content/DocRegistry/Section_DocRegistry.htm",a:"Index Documents in the Correct Sequence This section describes how to ensure that indexing operations occur in the correct order.",t:"Index Documents in the Correct Sequence"},"30":{i:0.00203273838959847,u:"../Content/DocRegistry/Introduction.htm",a:"Connectors monitor your organization\u0027s data repositories so that your IDOL index is kept up to date. When new items are added to a repository, the connector sends documents for ingestion. When items are deleted the connector ingests a document to represent the deletion so that the document in the ...",t:"Introduction"},"31":{i:0.00368859260192639,u:"../Content/DocRegistry/AddDocRegistryService.htm",a:"This section describes how to create a  DocumentRegistryService  controller service, to manage the dependency database. To create the Document Registry controller service Click a blank area of the canvas, to de-select all of the components on the canvas. In the Operate Palette, click Configuration . ...",t:"Add a Document Registry Service"},"32":{i:0.00203273838959847,u:"../Content/DocRegistry/UpdateProcessors.htm",a:"After creating a document registry service, update your existing processors to use the service. The following processors interact with the document registry service: ContentFromHTML ConvertCSVToDocuments ConvertIDXToDocuments ConvertXMLToDocuments ExecuteDocumentLua KeyViewExtractFiles PutIDOL To ...",t:"Update Processor Properties"},"33":{i:0.00203273838959847,u:"../Content/DocRegistry/AddRegisterDocument.htm",a:"After creating a document registry service, add a  RegisterDocument  processor to your dataflow. This should be the first processor in the dataflow, immediately after the input port. To register documents with the document registry service Add a processor, by dragging the processor icon    from the ...",t:"Register Documents"},"34":{i:0.00203273838959847,u:"../Content/DocRegistry/AddUnregisterDocument.htm",a:"After adding a  RegisterDocument  processor to your dataflow, ensure that every possible path ends with an  UnregisterDocument  processor. For example, you might add an  UnregisterDocument  processor after your PutIDOL indexer, so that documents are unregistered after they are indexed. Every path ...",t:"Unregister Documents"},"35":{i:0.00203273838959847,u:"../Content/Part_Reference.htm",a:"Reference",t:"Reference"},"36":{i:0.00203273838959847,u:"../Content/Reference/ControllerServices/_ControllerServices.htm",a:"NiFi Ingest Controller Services This section describes the controller services that are supplied with NiFi Ingest.",t:"NiFi Ingest Controller Services"},"37":{i:0.0211219277657344,u:"../Content/Reference/ControllerServices/DocumentRegistryService.htm",a:"Manages and updates a document registry database, which provides a way to ensure that indexing operations occur in the correct order. When a connector performs the synchronize fetch action it might find items that have been modified. To update the content in the IDOL index, it sends two documents to ...",t:"DocumentRegistryService"},"38":{i:0.00376058626333195,u:"../Content/Reference/ControllerServices/KeyViewFilterService.htm",a:"Manages the location of the KeyView binaries for the NiFi instance.   All processors that use KeyView have a “KeyView Filter Service” property that must reference an instance of this service.   The service also defines a location where temporary files and extracted files are stored. Properties Name ...",t:"KeyViewFilterService"},"39":{i:0.00203273838959847,u:"../Content/Reference/Processors/_Processors.htm",a:"NiFi Ingest Processors This section describes the processors that are supplied with NiFi Ingest.",t:"NiFi Ingest Processors"},"40":{i:0.00224871937381515,u:"../Content/Reference/Processors/ContentFromHTML.htm",a:"Connectors, including the IDOL Web Connector, can send documents for ingestion that have associated HTML files. You could send the HTML files to the  KeyViewFilterDocument  processor, which discards the HTML markup and extracts the text contained in the file. However, HTML pages often contain ...",t:"ContentFromHTML"},"41":{i:0.00203273838959847,u:"../Content/Reference/Processors/ContentIntoSections.htm",a:"Splits IDOL document content into sections. You might have documents with large amounts of content. For example, a 1000-page PDF file could be indexed as a single document. Dividing the content of long documents into sections can result in more relevant search results, because IDOL can return a ...",t:"ContentIntoSections"},"42":{i:0.00203273838959847,u:"../Content/Reference/Processors/ConvertContentFilenameToFile.htm",a:"Reads a file that is referenced by a document and replaces the document section containing the file path with a document section that contains the binary data. Storing the binary data within a document can be useful if you want to send the document to a remote NiFi instance that does not have access ...",t:"ConvertContentFilenameToFile"},"43":{i:0.00203273838959847,u:"../Content/Reference/Processors/ConvertContentFileToFilename.htm",a:"Replaces a document section that contains binary data with a document section that contains a file path (and writes the file to disk). Properties Name Default Value Description Content file storage directory   The path of the directory in which to write the files. Relationships Name Description ...",t:"ConvertContentFileToFilename"},"44":{i:0.00224871937381515,u:"../Content/Reference/Processors/ConvertCSVToDocuments.htm",a:"Many systems output data in comma-separated (CSV) format. The ConvertCSVToDocuments processor automatically detects any FlowFile that represents a text or CSV file and attempts to parse the data into IDOL documents.  Each row in the CSV file becomes a new IDOL document. Properties Name Default Value ...",t:"ConvertCSVToDocuments"},"45":{i:0.00224871937381515,u:"../Content/Reference/Processors/ConvertIDXToDocuments.htm",a:"The ConvertIDXToDocuments processor automatically detects any FlowFile that represents an IDOL IDX file, and produces FlowFiles that represent individual IDOL documents. If you are using a File System Connector to retrieve IDX files, configure the connector with ParseIDX=FALSE. Properties Name ...",t:"ConvertIDXToDocuments"},"46":{i:0.00224871937381515,u:"../Content/Reference/Processors/ConvertXMLToDocuments.htm",a:"Many systems can output data in XML format. The ConvertXMLToDocuments processor automatically detects any FlowFile that represents an XML file and attempts to parse the XML into IDOL documents. The processor produces a new FlowFile for each IDOL document. To be parsed successfully, the input XML ...",t:"ConvertXMLToDocuments"},"47":{i:0.00203273838959847,u:"../Content/Reference/Processors/DetectContentLanguage.htm",a:"A processor that detects the language of the document content, and populates a document metadata field with the result. Properties Name Default Value Description KeyView Filter Service   A ControllerService that manages the location of the KeyView binaries and temporary file storage. Output Field ...",t:"DetectContentLanguage"},"48":{i:0.00203273838959847,u:"../Content/Reference/Processors/Eduction.htm",a:"The Eduction processor uses IDOL Eduction to extract entities from text. An entity is a word, phrase, or block of information. For example, you can use Eduction to extract names, addresses, telephone numbers, and dates from document content or metadata. For more information about Eduction and how to ...",t:"Eduction"},"49":{i:0.00224871937381515,u:"../Content/Reference/Processors/ExecuteDocumentLua.htm",a:"Runs a Lua script on a document. For each incoming FlowFile in document format, the processor calls a Lua function. The function is passed a LuaDocument object containing the document reference, metadata, and content.\nThe script can modify the LuaDocument and can also return new LuaDocument ...",t:"ExecuteDocumentLua"},"50":{i:0.00203273838959847,u:"../Content/Reference/Processors/FilenameFromMetadata.htm",a:"The FilenameFromMetdata processor extracts file names or URLs from document metadata fields. If the extracted value is a URL, the processor also downloads the file. The file name or downloaded file is associated with the FlowFile so that it can be processed by other processors. Properties Name ...",t:"FilenameFromMetadata"},"51":{i:0.00203273838959847,u:"../Content/Reference/Processors/FilterBadContent.htm",a:"A processor to discard FlowFiles with unacceptable document content. You can use this processor to discard FlowFiles where the document content is not suitable for indexing. The processor filters documents based on: The percentage of binary content. The percentage of symbolic content. Symbolic ...",t:"FilterBadContent"},"52":{i:0.00203273838959847,u:"../Content/Reference/Processors/HashDocument.htm",a:"The HashDocument processor calculates one or more hashes and adds the values to the document. Hash values can be used to identify duplicate or related documents. For example, you could calculate a hash from the sender, recipients, and subject of each e-mail, in order to create groups of related ...",t:"HashDocument"},"53":{i:0.00311264331068189,u:"../Content/Reference/Processors/KeyViewExtractFiles.htm",a:"A processor that uses KeyView to extract sub-files from container files such as zip archives. The processor reads any files embedded in the FlowFile or referenced by the FlowFile, and passes these to KeyView.  If the files are containers, KeyView extracts sub-files to the location defined by the ...",t:"KeyViewExtractFiles"},"54":{i:0.00298845557490511,u:"../Content/Reference/Processors/KeyViewFilterDocument.htm",a:"A processor that uses KeyView to filter metadata and text from files. The processor reads any files embedded in the FlowFile or referenced by the FlowFile, and passes these to KeyView. The metadata that is extracted by KeyView is added to the FlowFile as XML metadata. The text that is extracted by ...",t:"KeyViewFilterDocument"},"55":{i:0.00425521359116735,u:"../Content/Reference/Processors/KeyViewRouteOnFileType.htm",a:"A processor that uses KeyView to route FlowFiles based on the format of the associated file. The processor also writes attributes into the FlowFile, containing the KeyView document class, KeyView format code, and a MIME type string. Properties Name Description KeyView Filter Service A ...",t:"KeyViewRouteOnFileType"},"56":{i:0.00203273838959847,u:"../Content/Reference/Processors/MediaAnalysis.htm",a:"The Media Analysis processor uses IDOL Media Server to analyze image, audio, and video files. Media Server can perform tasks such as optical character recognition, face detection and recognition, speech-to-text, and speaker identification. For more information about Media Server, refer to the Media ...",t:"MediaAnalysis"},"57":{i:0.00268068134224852,u:"../Content/Reference/Processors/PutIDOL.htm",a:"Indexes documents into IDOL Server. Properties Name Default Value Description IDOL Host   The host name or IP address of the machine hosting the IDOL Content component. IDOL ACI Port   The IDOL Content component ACI port. Document Registry Service   A  DocumentRegistryService  controller service ...",t:"PutIDOL"},"58":{i:0.00390457358614307,u:"../Content/Reference/Processors/RegisterDocument.htm",a:"Registers a FlowFile with a document registry database. For more information about this processor, see  Index Documents in the Correct Sequence . Properties Name Default Value Description Document Registry Service   A  DocumentRegistryService  that manages and interacts with the document registry ...",t:"RegisterDocument"},"59":{i:0.00203273838959847,u:"../Content/Reference/Processors/RemoveDocumentPart.htm",a:"Removes parts of a document. The primary reason to use this processor is to remove contentfilename document parts, which allows NiFi Ingest to delete temporary files. Micro Focus recommends you do this at the end of your dataflow, after extraction, filtering, media analysis, and so on. Properties ...",t:"RemoveDocumentPart"},"60":{i:0.00304064964927633,u:"../Content/Reference/Processors/UnregisterDocument.htm",a:"Removes a FlowFile from a document registry database. For more information about this processor, see  Index Documents in the Correct Sequence . Properties Name Default Value Description Document Registry Service   A  DocumentRegistryService  that manages and interacts with the document registry ...",t:"UnregisterDocument"},"61":{i:0.00298845557490511,u:"../Content/Reference/Processors/WriteDocument.htm",a:"Generates new FlowFiles with the document in IDX, XML, or JSON format. The processor can optionally write documents to a file on disk. Properties Name Default Value Description Format IDX The format in which to write the document. Specify IDX, XML, or JSON. File in which to write the document   The ...",t:"WriteDocument"},"62":{i:0.00203273838959847,u:"../Content/Reference/KeyView_FileClasses.htm",a:"File Classes Attribute Number File Class 0 No file class 01 Word processor 02 Spreadsheet 03 Database 04 Raster image 05 Vector graphic 06 Presentation 07 Executable 08 Encapsulation 09 Sound 10 Desktop publishing 11 Outline/planning 12 Miscellaneous 13 Mixed format 14 Font 15 Time scheduling 16 ...",t:"KeyView File Classes"},"63":{i:0.00203273838959847,u:"../Content/Reference/KeyView_Formats.htm",a:"The following table lists KeyView file format codes and the file extensions they are most commonly associated with. This table is not a complete list of file extensions. KeyView returns format codes based on file content, which cannot always be predicted from the file extension. Some file extensions ...",t:"KeyView Format Codes"},"64":{i:0.00203273838959847,u:"../Content/Lua/_LUA_Lua_Scripts.htm",a:"Lua Functions and Methods Reference This section describes the functions and methods that you can use in your Lua scripts.",t:"Lua Functions and Methods Reference"},"65":{i:0.00203273838959847,u:"../Content/Lua/General/_LUA_General_Methods.htm",a:"Function Description abs_path Returns the supplied path as an absolute path. base64_decode Decodes a base64-encoded  string. base64_encode Base64-encodes a string. convert_date_time Converts date and time formats using standard IDOL date formats. convert_encoding Converts the encoding of a string ...",t:"General Functions"},"66":{i:0.00206473557244538,u:"../Content/Lua/General/_LUA_abs_path.htm",a:"abs_path The abs_path method returns the supplied path as an absolute path. Syntax abs_path( path ) Arguments Argument Description path (string) A relative path. Returns (String). A string containing the supplied path as an absolute path.",t:"abs_path"},"67":{i:0.00206473557244538,u:"../Content/Lua/General/_LUA_base64_decode.htm",a:"base64_decode The base64_decode method decodes a base64-encoded  string. Syntax base64_decode( input ) Arguments Argument Description input (string) The string to decode. Returns (String). The decoded string. If the input is not a valid base64-encoded string, the function returns nil.",t:"base64_decode"},"68":{i:0.00206473557244538,u:"../Content/Lua/General/_LUA_base64_encode.htm",a:"base64_encode The base64_encode method base64-encodes a string. Syntax base64_encode( input ) Arguments Argument Description input (string) The string to base64-encode. Returns (String). A base64-encoded string.",t:"base64_encode"},"69":{i:0.00206473557244538,u:"../Content/Lua/General/_LUA_convert_date_time.htm",a:"The convert_date_time method converts date and time formats using standard IDOL formats. All date and time input is treated as local time unless it contains explicit time zone information. The InputFormatCSV and OutputFormat arguments specify date and time formats, and accept the following values: ...",t:"convert_date_time"},"70":{i:0.00381978144571661,u:"../Content/Lua/General/_LUA_convert_encoding.htm",a:"The convert_encoding method converts the encoding of a string from one character encoding to another. Syntax convert_encoding( input, encodingTo, encodingTables [, encodingFrom]) Arguments Argument Description input (string) The string to convert. encodingTo (string) The character encoding to ...",t:"convert_encoding"},"71":{i:0.00206473557244538,u:"../Content/Lua/General/_LUA_copy_file.htm",a:"The copy_file method copies a file. Syntax copy_file( src, dest [, overwrite] ) Arguments Argument Description src (string) The source file. dest (string) The destination path and file name. overwrite (boolean) A boolean that specifies whether to copy the file if the destination file already exists. ...",t:"copy_file"},"72":{i:0.00206473557244538,u:"../Content/Lua/General/_LUA_create_path.htm",a:"create_path The create_path method creates the specified directory tree. Syntax create_path( path ) Arguments Argument Description path (string) The path to create.",t:"create_path"},"73":{i:0.00206473557244538,u:"../Content/Lua/General/_LUA_create_uuid.htm",a:"create_uuid The create_uuid method creates a universally unique identifier. Syntax create_uuid() Returns (String). A string containing the universally unique identifier.",t:"create_uuid"},"74":{i:0.00206473557244538,u:"../Content/Lua/General/_LUA_delete_file.htm",a:"delete_file The delete_file method deletes a file. Syntax delete_file( path ) Arguments Argument Description path (string) The path and filename of the file to delete. Returns (Boolean). A boolean, true to indicate success or false for failure.",t:"delete_file"},"75":{i:0.00206473557244538,u:"../Content/Lua/General/_LUA_delete_path.htm",a:"delete_path The delete_path function deletes the specified directory, but only if it is empty. Syntax delete_path( path ) Arguments Argument Description path (string) The empty directory to delete. Returns Nothing. Example delete_path( \"C:\\MyFolder\\AnotherFolder\\\" )",t:"delete_path"},"76":{i:0.00206473557244538,u:"../Content/Lua/General/_LUA_doc_tracking.htm",a:"The doc_tracking function raises a document tracking event for a document. Syntax doc_tracking( document , eventName [, eventMetadata] [, reference] ) Arguments Argument Description document (LuaDocument) The document to track. eventName (string) The event name. You can type a description of the ...",t:"doc_tracking"},"77":{i:0.00206473557244538,u:"../Content/Lua/General/_LUA_encrypt.htm",a:"encrypt The encrypt method encrypts a string and returns the encrypted string. It uses the same encryption method as ACL encryption. Syntax encrypt( content ) Arguments Argument Description content (string) The string to encrypt. Returns (String). The encrypted string.",t:"encrypt"},"78":{i:0.00206473557244538,u:"../Content/Lua/General/_LUA_encrypt_security_field.htm",a:"encrypt_security_field The encrypt_security_field method returns the encrypted form of the supplied field. Syntax encrypt_security_field( field ) Arguments Argument Description field (string) An Access Control List string. Returns (String). An encrypted string.",t:"encrypt_security_field"},});